//библиотека экрана и пины подключения
#include <LiquidCrystal.h>
LiquidCrystal lcd( 4, 5, 6, 7,9,10);   // пины экрана

//пин датчика Холла
int HollPin = 8;

//переменная запоминания данных датчика
boolean lastButton = LOW;

//переменная импульсов
int impulsi = 0;

void setup()
{
//датчик холла вход
 pinMode(HollPin, INPUT);

   // задаём дисплей 
  lcd.begin(16, 2);
  
  // пишем в верхней строке.
  lcd.print("schitaem impulci");
  
}

void loop()
{
   lcd.setCursor(2,1);
 lcd.print(impulsi);   
  
  if (digitalRead(HollPin) == HIGH && lastButton == LOW)
 {
   impulsi = impulsi + 1;
    lastButton = HIGH;
  }
  else
  {
    //lastButton = LOW;
    lastButton = digitalRead(HollPin);
  }
}
